package tests;

import entities.EntityWithIDMappingInXml;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {

    public static void main(String args[]){
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("auto-strategy-with-generator");
        EntityManager em = emf.createEntityManager();
        
        EntityWithIDMappingInXml entity = new EntityWithIDMappingInXml();
        
        em.getTransaction().begin();
        em.persist(entity);
        em.getTransaction().commit();
        
        System.out.println("*****ID has been generated without any complaints; generated id = " + entity.getId());
        em.close();
    }
    
}
